Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.PodcastWriter class.
jala PodcastWriter(header)
Class to create, modify and render standard-compliant RSS 2.0 feeds including support for Apple's Podcast specification.
parameters

String | header | Optional XML header.

methods

- addItunesCategory(name, subName, parent)

inherits
getRoot() from jala.Rss20Writer
extendChannel(ext) from jala.Rss20Writer
getChannel() from jala.Rss20Writer
setChannel(data) from jala.Rss20Writer
extendItem(ext) from jala.Rss20Writer
createItem(data) from jala.Rss20Writer
addItem(item) from jala.Rss20Writer
addCategory(name, domain, parent) from jala.Rss20Writer
setImage(data) from jala.Rss20Writer
setTextInput(data) from jala.Rss20Writer
createElement(data) from jala.XmlWriter
extend(template, ext) from jala.XmlWriter
addNamespace(name, url) from jala.XmlWriter
write() from jala.XmlWriter
toString() from jala.XmlWriter
clone(The) from jala.XmlWriter
String @final jala. PodcastWriter.XMLHEADER
A typical XML header as default.
Methods
jala.PodcastWriter. addItunesCategory(name, subName, parent)
Add an iTunes Podcast category.
parameters

String | name | The category's name.
String | subName | The (optional) sub-category's name.
jala.XmlWriter.XmlElement | parent | Optional parent element to add the category to.

Tue, 25 Nov 2008 16:50:13 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar